Subject: Re: [bug#48314] Patches to install guix system on Raspberry Pi

From: Stefan <[email-masked]>
Date: Sun, 17 Jul 2022 18:47:47 +0200

Hi Vagrant!

> The u-boot-rpi-0-w and u-boot-rpi variants are ARMv6 boards, and Guix's armhf baseline is ARMv7, so those won't work with guix system.

Uups. I will remove them.

> In other words, keep names consistent with the upstream defconfig they are based on.

OK

> I presume you didn't add the aarch64 rpi_3 and rpi_4 variants because they are supported by rpi_arm64?

Yes.

> I think without addressing the rest of the patch series, adding to guix master the following packages could make the remaining diff smaller:
> 
>  u-boot-rpi-2 (rpi_2_defconfig)
>  u-boot-rpi-3-32b (rpi_3_32b_defconfig)
>  u-boot-rpi-4-32b (rpi_4_32b_defconfig)
>  u-boot-rpi-arm64 (rpi_arm64_defconfig)
> 
> We wouldn't have a relevent installation configuration, but at least it would allow building them and manually copying u-boot.bin to the firmware partition…

Well, in the past I tried to get one patch into master before sending the next for review. Doing so I got the comment that it would be hard to test the changes, as they are not complete and don’t build a system. :-)

> Which leads me to wonder, why have the name and description argument at all, when you could just inherit and set the name, like done with the boneblack?

For the same board name there will be two packages, the “normal” and an EFI variant. Having name-suffix and additional-description fields eases appending. I will change the parameters accordingly. Having these parameters also avoids to copy the U-Boot description, like done for the boneblack. A while back you fixed that description three times. :-)

Bye

Stefan